/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.productionunit;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.util.List;
import java.util.logging.Logger;
import nl.cloudfarming.client.farm.model.CropField;
import nl.cloudfarming.client.farm.model.CropProductionUnit;
import org.openide.nodes.ChildFactory;
import org.openide.nodes.Node;

/**
 *
 * @author Maciek Dulkiewicz <maciek.dulkiewicz@ordina.nl>
 */
public class CropProductionUnitChildFactory extends ChildFactory<CropField> implements PropertyChangeListener {

    protected static final Logger LOGGER = Logger.getLogger("nl.cloudfarming.client.productionunit");
    private CropProductionUnit cropProductionUnit;

    public CropProductionUnitChildFactory(CropProductionUnit cropProductionUnit) {
        this.cropProductionUnit = cropProductionUnit;
        cropProductionUnit.addPropertyChangeListener(CropProductionUnit.PROP_CROPFIELDS, this);
    }

    @Override
    protected boolean createKeys(List<CropField> toPopulate) {
        toPopulate.addAll(cropProductionUnit.getCropFields());
        return true;
    }

    @Override
    protected Node createNodeForKey(CropField key) {
        return new CropFieldNode(key);
    }

    @Override
    public void propertyChange(PropertyChangeEvent evt) {
        refresh(true);
    }

}