/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.productionunit.wizard;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.netbeans.api.project.Project;
import org.openide.awt.ActionID;
import org.openide.awt.ActionRegistration;
import org.openide.util.NbBundle;

/**
 *
 * @author Maciek Dulkiewicz <maciek.dulkiewicz@ordina.nl>
 */
@ActionID(category = "Productionunit-root", id = "nl.cloudfarming.client.productionunit.NewCropProductionUnitAction")
@ActionRegistration(displayName = "New production unit")
@NbBundle.Messages({"NewCropProductionUnitAction_action_name=New production unit"})
public class NewCropProductionUnitAction extends AbstractAction {

    private Project project;

    public NewCropProductionUnitAction(Project project) {
        super(Bundle.NewCropProductionUnitAction_action_name());
        this.project = project;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        CropProductionUnitWizardAction wizard = new CropProductionUnitWizardAction(project);
        wizard.actionPerformed(e);
    }
}
